org.apache.storm.jdbc.topology

## Class AbstractUserTopology

- java.lang.Object
- - org.apache.storm.jdbc.topology.AbstractUserTopology

- Direct Known Subclasses:
    UserPersistenceTopology, UserPersistenceTridentTopology

      public abstract class AbstractUserTopology
      extends Object

  For topology-related code reusage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConnectionProvider` | `connectionProvider`
    `protected static String` | `JDBC_CONF`
    `protected JdbcLookupMapper` | `jdbcLookupMapper`
    `protected JdbcMapper` | `jdbcMapper`
    `protected static String` | `SELECT_QUERY`
    `protected static String` | `TABLE_NAME`
    `protected UserSpout` | `userSpout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUserTopology()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(String[] args)` A main method template to extend.
    `abstract StormTopology` | `getTopology()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSpout

          protected UserSpout userSpout

    - #### jdbcMapper

          protected JdbcMapper jdbcMapper

    - #### jdbcLookupMapper

          protected JdbcLookupMapper jdbcLookupMapper

    - #### connectionProvider

          protected ConnectionProvider connectionProvider

    - #### TABLE_NAME

          protected static final String TABLE_NAME

      See Also:
        Constant Field Values

    - #### JDBC_CONF

          protected static final String JDBC_CONF

      See Also:
        Constant Field Values

    - #### SELECT_QUERY

          protected static final String SELECT_QUERY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractUserTopology

          public AbstractUserTopology()

  - ### Method Detail

    - #### execute

          public void execute(String[] args)
                       throws Exception

      A main method template to extend.

      Parameters:
        `args` - main method arguments
      Throws:
        `Exception` - any expection occuring durch cluster setup or operation

    - #### getTopology

          public abstract StormTopology getTopology()

Copyright © 2021 The Apache Software Foundation. All rights reserved.